This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 570902 - RFE: virt-manager should get supported devices/limits from qemu/libvirt
RFE: virt-manager should get supported devices/limits from qemu/libvirt
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Cole Robinson
:
: 581376 787367 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-05 15:15 EST by Bill Nottingham
Modified: 2014-03-16 23:22 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-31 17:03:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-03-05 15:15:45 EST
Description of problem:

I have a VM. I added network adapters until it had 12.
When attempting to start the domain, I get:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 588, in run_domain
    try:
  File "/usr/share/virt-manager/virtManager/domain.py", line 150, in startup
    raise NotImplementedError()
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 300, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: monitor socket did not show up.: No such file or directory

Further investigation into the qemu log shows:

LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-kvm -S -M pc-0.11 -enable-kvm -m 500 -smp 1 -name splat-rhel5 -uuid 82099dd9-86c8-d9a0-28c8-df76c6cf4638 ...
qemu: Too Many NICs

If qemu has a limit to the number of network cards, virt-manager shouldn't
let you exceed it.

Version-Release number of selected component (if applicable):

virt-manager-0.8.3-1.fc13.noarch
Comment 1 Cole Robinson 2010-04-13 12:50:38 EDT
*** Bug 581376 has been marked as a duplicate of this bug. ***
Comment 2 Cole Robinson 2010-04-13 12:51:09 EDT
Also need to handle 32-bit memory limit.
Comment 3 Bug Zapper 2011-06-02 12:19:15 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Cole Robinson 2011-06-10 13:29:21 EDT
Stil relevant, moving to rawhide
Comment 5 Cole Robinson 2012-01-18 10:47:29 EST
This is kind of a long project, since just hardcoding this stuff in virt-manager isn't sustainable. What we need is qemu reporting capabilities which libvirt passes on to apps, so we can determine limits introspectively.

Moving to upstream tracker
Comment 6 Cole Robinson 2012-02-06 16:46:18 EST
*** Bug 787367 has been marked as a duplicate of this bug. ***
Comment 7 Cole Robinson 2014-01-31 17:03:39 EST
Keeping this bug open isn't going to accomplish anything unfortunately: there hasn't been much movement at the libvirt level towards a comprehensive capabilities reporting API, but when it exists virt-manager will use. Until then, just closing this

Note You need to log in before you can comment on or make changes to this bug.